org.richfaces.json

## Class CookieList

- java.lang.Object
- - org.richfaces.json.CookieList

-     public final class CookieList
      extends Object

  Convert a web browser cookie list string to a JSONObject and back.
  Version:
    2
  Author:
    JSON.org

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JSONObject` | `toJSONObject(String string)` Convert a cookie list into a JSONObject.
    `static String` | `toString(JSONObject o)` Convert a JSONObject into a cookie list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toJSONObject

          public static JSONObject toJSONObject(String string)
                                         throws JSONException

      Convert a cookie list into a JSONObject. A cookie list is a sequence of name/value pairs. The names are separated from the values by '='. The pairs are separated by ';'. The names and the values will be unescaped, possibly converting '+' and '%' sequences.

      To add a cookie to a cooklist, cookielistJSONObject.put(cookieJSONObject.getString("name"), cookieJSONObject.getString("value"));
      Parameters:
        `string` - A cookie list string
      Returns:
        A JSONObject
      Throws:
        `JSONException`

    - #### toString

          public static String toString(JSONObject o)
                                 throws JSONException

      Convert a JSONObject into a cookie list. A cookie list is a sequence of name/value pairs. The names are separated from the values by '='. The pairs are separated by ';'. The characters '%', '+', '=', and ';' in the names and values are replaced by "%hh".
      Parameters:
        `o` - A JSONObject
      Returns:
        A cookie list string
      Throws:
        `JSONException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.